[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStreamAdapter.Clone

Clone the stream

## Declaration

Source position: classesh.inc line 1178

`public function TStreamAdapter.Clone(`
`out stm: IStream`
`):HRESULT; virtual;`

## Description

Clone implements #rtl.types.IStream.Clone.

## Errors

This function must be overridden and will raise a runerror 217 when called directly.

## See also

#rtl.types.IStream.Clone |  | Clone the stream instance